use serde::Deserialize;
use config::{Config, File};

#[derive(Debug, Deserialize)]
pub struct AppConfig {
    pub local_server_address: String,
    pub bridge_port: u16,
    pub lavina_http_port: u16,
    pub lavina_irc_port: u16,
}


use std::path::Path;

pub fn load_config() -> AppConfig {
    let settings = Config::builder()
        .add_source(File::with_name("config.toml"))
        .build().unwrap();

    settings
        .try_deserialize()
        .unwrap()
}