
async function newPlayer(name, password) {
    const urlCreatePlayer = 'http://127.0.0.1:8080/mgmt/create_player';
    const urlSetPassword = 'http://127.0.0.1:8080/mgmt/set_password';

    const createQuery = {
        name: name
    };

    try {
        const createResponse = await fetch(urlCreatePlayer, {
            method: 'POST',
            mode: 'no-cors',

            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify(createQuery)
        });

        if (!createResponse.ok) {
            throw new Error(`Ошибка создания игрока: ${createResponse.statusText}`);
        }

        const setPasswordQuery = {
            player_name: name,
            password: password
        };

        const passwordResponse = await fetch(urlSetPassword, {
            method: 'POST',
            mode: 'no-cors',

            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify(setPasswordQuery)
        });

        if (!passwordResponse.ok) {
            throw new Error(`Ошибка установки пароля: ${passwordResponse.statusText}`);
        }

        console.log('Игрок успешно создан и пароль установлен.');
    } catch (error) {
        console.error('Произошла ошибка:', error);
    }
}

// Пример вызова функции
newPlayer('Igrogee', 'ПарольИгрока');